Skip to main content
POST
/
api
/
board
/
{boardId}
/
tabView
Add a tab view
curl --request POST \
  --url https://core-api.getaptly.com/api/board/{boardId}/tabView \
  --header 'Content-Type: application/json' \
  --header 'x-token: <api-key>' \
  --data '
{
  "name": "<string>",
  "url": "<string>",
  "icon": "<string>",
  "embedSource": "<string>",
  "filter": "<string>",
  "userIds": [
    "<string>"
  ],
  "createdBy": "<string>"
}
'
{
  "data": {
    "uuid": "<string>",
    "name": "<string>",
    "url": "<string>",
    "icon": "<string>",
    "embedSource": "<string>",
    "type": "<string>"
  }
}

Authorizations

x-token
string
header
required

Path Parameters

boardId
string
required

Body

application/json
name
string
required

Display name for the tab.

url
string
required

URL to embed in the tab.

icon
string

Font Awesome icon class (default fa-regular fa-globe).

embedSource
string

Embed source identifier (default aptly-ai).

filter
string

Filter preset (default quickview_all-records).

userIds
string[]

User IDs that can see this tab. Empty = visible to all.

createdBy
string

Aptly user ID of the creator.

Response

Tab view created.

data
object